VESPA-VISIT(1)

NAME
vespa-visit - Retrieve and print all documents from Vespa

SYNOPSIS
vespa visit [flags]

DESCRIPTION
Retrieve and print all documents from Vespa.

By default, prints each document received on its own line (JSONL format).

OPTIONS
--bucket-space=[global,default]
    The "default" or "global" bucket space

--chunk-count=1000
    Chunk by count

--content-cluster="*"
    Which content cluster to visit documents from

--field-set=""
    Which fieldset to ask for

--from=""
    Timestamp to visit from, in seconds

--header=[]
    Add a header to the HTTP request, on the format 'Header: Value'. This can be specified multiple times

-h, --help[=false]
    help for visit

--json-lines[=true]
    Output documents as JSON lines

--make-feed[=false]
    Output JSON array suitable for vespa-feeder

--pretty-json[=false]
    Format pretty JSON

--selection=""
    Select subset of cluster

--slice-id=-1
    The number of the slice this visit invocation should fetch

--slices=-1
    Split the document corpus into this number of independent slices

--stream[=false]
    Stream the HTTP responses

--to=""
    Timestamp to visit up to, in seconds

-v, --verbose[=false]
    Print the equivalent curl command for the visit operation

-w, --wait=0
    Number of seconds to wait for service(s) to become ready. 0 to disable (default 0)

OPTIONS INHERITED FROM PARENT COMMANDS
-a, --application=""
    The application to use (cloud only). Format "tenant.application.instance" - instance is optional

-C, --cluster=""
    The container cluster to use. This is only required for applications with multiple clusters

-c, --color="auto"
    Whether to use colors in output. Must be "auto", "never", or "always"

-i, --instance=""
    The instance of the application to use (cloud only)

-q, --quiet[=false]
    Print only errors

-t, --target="local"
    The target platform to use. Must be "local", "cloud", "hosted" or an URL

-z, --zone=""
    The zone to use. This defaults to a dev zone (cloud only)

EXAMPLE
    $ vespa visit # get documents from any cluster
    $ vespa visit --content-cluster search # get documents from cluster named "search"
    $ vespa visit --field-set "[id]" # list document IDs

SEE ALSO
vespa(1)